Xerces 3.1.1

## org.apache.html.dom
Class HTMLElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ChildAndParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl

Direct Known Subclasses:
  HTMLAnchorElementImpl, HTMLAppletElementImpl, HTMLAreaElementImpl, HTMLBaseElementImpl, HTMLBaseFontElementImpl, HTMLBodyElementImpl, HTMLBRElementImpl, HTMLButtonElementImpl, HTMLDirectoryElementImpl, HTMLDivElementImpl, HTMLDListElementImpl, HTMLFieldSetElementImpl, HTMLFontElementImpl, HTMLFormElementImpl, HTMLFrameElementImpl, HTMLFrameSetElementImpl, HTMLHeadElementImpl, HTMLHeadingElementImpl, HTMLHRElementImpl, HTMLHtmlElementImpl, HTMLIFrameElementImpl, HTMLImageElementImpl, HTMLInputElementImpl, HTMLIsIndexElementImpl, HTMLLabelElementImpl, HTMLLegendElementImpl, HTMLLIElementImpl, HTMLLinkElementImpl, HTMLMapElementImpl, HTMLMenuElementImpl, HTMLMetaElementImpl, HTMLModElementImpl, HTMLObjectElementImpl, HTMLOListElementImpl, HTMLOptGroupElementImpl, HTMLOptionElementImpl, HTMLParagraphElementImpl, HTMLParamElementImpl, HTMLPreElementImpl, HTMLQuoteElementImpl, HTMLScriptElementImpl, HTMLSelectElementImpl, HTMLStyleElementImpl, HTMLTableCaptionElementImpl, HTMLTableCellElementImpl, HTMLTableColElementImpl, HTMLTableElementImpl, HTMLTableRowElementImpl, HTMLTableSectionElementImpl, HTMLTextAreaElementImpl, HTMLTitleElementImpl, HTMLUListElementImpl

public class HTMLElementImpl
extends ElementImpl
implements HTMLElement

Implements an HTML-specific element, an `Element` that will only appear inside HTML documents. This element extends `ElementImpl` by adding methods for directly manipulating HTML-specific attributes. All HTML elements gain access to the `id`, `title`, `lang`, `dir` and `class` attributes. Other elements add their own specific attributes.

Version:
  $Revision: 1.3 $ $Date: 2000/02/10 04:00:09 $
See Also:
  `HTMLElement`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getAttribute(java.lang.String attrName)` Retrieves an attribute value by name.
`Attr` `getAttributeNode(java.lang.String attrName)` Retrieves an attribute node by name.
`Attr` `getAttributeNodeNS(java.lang.String namespaceURI, java.lang.String localName)` Retrieves an `Attr` node by local name and namespace URI.
`java.lang.String` `getAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` Retrieves an attribute value by local name and namespace URI.
`java.lang.String` `getClassName()` The class attribute of the element.
`java.lang.String` `getDir()` Specifies the base direction of directionally neutral text and the directionality of tables.
`NodeList` `getElementsByTagName(java.lang.String tagName)` Returns a `NodeList` of all descendant `Elements` with a given tag name, in the order in which they are encountered in a preorder traversal of this `Element` tree.
`NodeList` `getElementsByTagNameNS(java.lang.String namespaceURI, java.lang.String localName)` Returns a `NodeList` of all the descendant `Elements` with a given local name and namespace URI in the order in which they are encountered in a preorder traversal of this `Element` tree.
`HTMLFormElement` `getForm()` Convenience method returns the form in which this form element is contained.
`java.lang.String` `getId()` The element's identifier.
`java.lang.String` `getLang()` Language code defined in RFC 1766.
`java.lang.String` `getTitle()` The element's advisory title.
`void` `setClassName(java.lang.String className)`
`void` `setDir(java.lang.String dir)`
`void` `setId(java.lang.String id)`
`void` `setLang(java.lang.String lang)`
`void` `setTitle(java.lang.String title)`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getId

    public java.lang.String getId()

  Description copied from interface: HTMLElement
  The element's identifier. See the id attribute definition in HTML 4.0.
  Specified by:
    getId in interface HTMLElement

### setId

    public void setId(java.lang.String id)

  Specified by:
    setId in interface HTMLElement

### getTitle

    public java.lang.String getTitle()

  Description copied from interface: HTMLElement
  The element's advisory title. See the title attribute definition in HTML 4.0.
  Specified by:
    getTitle in interface HTMLElement

### setTitle

    public void setTitle(java.lang.String title)

  Specified by:
    setTitle in interface HTMLElement

### getLang

    public java.lang.String getLang()

  Description copied from interface: HTMLElement
  Language code defined in RFC 1766. See the lang attribute definition in HTML 4.0.
  Specified by:
    getLang in interface HTMLElement

### setLang

    public void setLang(java.lang.String lang)

  Specified by:
    setLang in interface HTMLElement

### getDir

    public java.lang.String getDir()

  Description copied from interface: HTMLElement
  Specifies the base direction of directionally neutral text and the directionality of tables. See the dir attribute definition in HTML 4.0.
  Specified by:
    getDir in interface HTMLElement

### setDir

    public void setDir(java.lang.String dir)

  Specified by:
    setDir in interface HTMLElement

### getClassName

    public java.lang.String getClassName()

  Description copied from interface: HTMLElement
  The class attribute of the element. This attribute has been renamed due to conflicts with the "class" keyword exposed by many languages. See the class attribute definition in HTML 4.0.
  Specified by:
    getClassName in interface HTMLElement

### setClassName

    public void setClassName(java.lang.String className)

  Specified by:
    setClassName in interface HTMLElement

### getAttributeNode

    public Attr getAttributeNode(java.lang.String attrName)

  Description copied from interface: Element
  Retrieves an attribute node by name.
  To retrieve an attribute node by qualified name and namespace URI, use the `getAttributeNodeNS` method.
  Overrides:
    getAttributeNode in class ElementImpl
  Tags copied from interface: Element
  Parameters:
    `nameThe` - name (`nodeName`) of the attribute to retrieve.
  Returns:
    The `Attr` node with the specified name ( `nodeName`) or `null` if there is no such attribute.

### getAttributeNodeNS

    public Attr getAttributeNodeNS(java.lang.String namespaceURI,
                                   java.lang.String localName)

  Description copied from interface: Element
  Retrieves an `Attr` node by local name and namespace URI. HTML-only DOM implementations do not need to implement this method.
  Overrides:
    getAttributeNodeNS in class ElementImpl
  Tags copied from interface: Element
  Parameters:
    `namespaceURIThe` - namespace URI of the attribute to retrieve.
    `localNameThe` - local name of the attribute to retrieve.
  Returns:
    The `Attr` node with the specified attribute local name and namespace URI or `null` if there is no such attribute.

### getAttribute

    public java.lang.String getAttribute(java.lang.String attrName)

  Description copied from interface: Element
  Retrieves an attribute value by name.
  Overrides:
    getAttribute in class ElementImpl
  Tags copied from interface: Element
  Parameters:
    `nameThe` - name of the attribute to retrieve.
  Returns:
    The `Attr` value as a string, or the empty string if that attribute does not have a specified or default value.

### getAttributeNS

    public java.lang.String getAttributeNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  Description copied from interface: Element
  Retrieves an attribute value by local name and namespace URI. HTML-only DOM implementations do not need to implement this method.
  Overrides:
    getAttributeNS in class ElementImpl
  Tags copied from interface: Element
  Parameters:
    `namespaceURIThe` - namespace URI of the attribute to retrieve.
    `localNameThe` - local name of the attribute to retrieve.
  Returns:
    The `Attr` value as a string, or the empty string if that attribute does not have a specified or default value.

### getElementsByTagName

    public final NodeList getElementsByTagName(java.lang.String tagName)

  Description copied from interface: Element
  Returns a `NodeList` of all descendant `Elements` with a given tag name, in the order in which they are encountered in a preorder traversal of this `Element` tree.
  Overrides:
    getElementsByTagName in class ElementImpl
  Tags copied from interface: Element
  Parameters:
    `nameThe` - name of the tag to match on. The special value "*" matches all tags.
  Returns:
    A list of matching `Element` nodes.

### getElementsByTagNameNS

    public final NodeList getElementsByTagNameNS(java.lang.String namespaceURI,
                                                 java.lang.String localName)

  Description copied from interface: Element
  Returns a `NodeList` of all the descendant `Elements` with a given local name and namespace URI in the order in which they are encountered in a preorder traversal of this `Element` tree.
  HTML-only DOM implementations do not need to implement this method.
  Overrides:
    getElementsByTagNameNS in class ElementImpl
  Tags copied from interface: Element
  Parameters:
    `namespaceURIThe` - namespace URI of the elements to match on. The special value "*" matches all namespaces.
    `localNameThe` - local name of the elements to match on. The special value "*" matches all local names.
  Returns:
    A new `NodeList` object containing all the matched `Elements`.

### getForm

    public HTMLFormElement getForm()

  Convenience method returns the form in which this form element is contained. This method is exposed for form elements through the DOM API, but other elements have no access to it through the API.

Xerces 3.1.1